Content Management Me API
Introduction
The Me API offers detailed information about the currently authenticated user and the accounts he has access to. It enables you to fetch the user's profile details and obtain a list of associated accounts, including their roles and membership statuses.
The Me API Swagger definition is available on our Product-Live API portal here.
General information
- Rate limit: 50 requests per minute
Get authenticated user profile
Request URL
Path parameters
None
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/me' \
-H 'accept: application/json' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response example
Returns the profile of the authenticated user in the current account context.
json
{
"object": "me",
"id": "12345",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"createdAt": "2023-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z"
}1
2
3
4
5
6
7
8
9
2
3
4
5
6
7
8
9
List my accounts
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10. Maximum : 1000 |
| sort | string | Optional The field to sort by |
| sortOrder | string | Optional The sort order: ASC or DESC |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/me/accounts?size=10&page=0' \
-H 'accept: application/json' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response example
json
{
"object": "list",
"data": [
{
"object": "me-account",
"id": "4203",
"key": "4050c573-a0f4-4bcf-b81b-af4fb2f85112",
"name": "My Company",
"createdAt": "2023-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"role": "SITE_ADMIN",
"memberStatus": "ACTIVE"
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16